Package org.mariadb.jdbc.plugin

## Class Credential

- java.lang.Object
- - org.mariadb.jdbc.plugin.Credential

    public class Credential
    extends Object

basic Credential (couple of user/password)

### Constructor Summary

Constructors
`Credential​(String user, String password)` Constructor of basic credential

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getPassword()` Get password
`String` `getUser()` Get user

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Credential

    public Credential​(String user,
                      String password)

Constructor of basic credential

Parameters:
  `user` - user
  `password` - password

### Method Detail

#### getUser

    public String getUser()

Get user

Returns:
  user

#### getPassword

    public String getPassword()

Get password

Returns:
  password